# -*- test-case-name: quotient.test.test_mimemessage -*-

# This module is part of the Quotient project and is Copyright 2003 Divmod:
# http://www.divmod.org/.  This is free software.  You can redistribute it
# and/or modify it under the terms of version 2.1 of the GNU Lesser General
# Public License as published by the Free Software Foundation.

from atop.fwd import ItemForwardingComponent

from nevow import tags

from quotient import taglib
from quotient.web.root import Base
from quotient.mimemessage import IEmailPowerup

class EmailPowerupDisplay(Base):
    def render_numberOfMessages(self, context, data):
        return self.original.msgScope.msgs

    document = taglib.page(title="Email Services Home")[
        tags.p["Messages Processed: ", render_numberOfMessages],
    ]


class FwdEmailPowerup(ItemForwardingComponent):
    __implements__ = IEmailPowerup
