# This module is part of the Quotient project and is Copyright 2003 Divmod:
# http://www.divmod.org/.  This is free software.  You can redistribute it
# and/or modify it under the terms of version 2.1 of the GNU Lesser General
# Public License as published by the Free Software Foundation.
# objects that should be in tpython

def getAOI(fObj):
    for line in fObj:
        line = line.strip()
        if line and not line.startswith('#'):
            yield line.split()

def load(register, path):
    for (a, o, i) in getAOI(file(path)):
        description = "Automated adapter registration: %s(%s) => %s" % (i, o, a)
        # print description, '...',
        register("adapter", None, description=description,
            type="adapterRegistration", adapter=a, original=o,
            interface=i)
        # print 'Done.'


## temporary hack zone
def loadNevow(what):
    from nevow import compy
    for (a, o, i) in getAOI(what.split('\n')):
        compy.registerAdapter(a, o, i)

# raise Exception("Force import failure")
